### Method

# Tsparql Resource set_gvalue

#### Declaration [src]

    void
    tracker_resource_set_gvalue (
      TrackerResource* self,
      const char* property_uri,
      const GValue* value
    )

#### Description [src]

Replace any previously existing value for `property_uri` with `value`.

When serialising to SPARQL, any properties that were set with this function will get a corresponding DELETE statement to remove any existing values in the database.

You can pass any kind of `GValue` for `value`, but serialization functions will normally only be able to serialize URIs/relationships and fundamental value types (string, int, etc.).

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  An initialised `GValue`.

  The data is owned by the caller of the method.